Package org.jboss.logging.processor.model

# Interface Parameter

All Superinterfaces:
  `AnnotatedConstruct`, `ClassType`, `Comparable<Parameter>`, `DelegatingElement`, `Element`

public interface Parameter extends Comparable<Parameter>, ClassType, DelegatingElement

Author:
  James R. Perkins - 20.Feb.2011

## Method Summary

Modifier and Type
Method
Description
`String`
`formatterClass()`
The formatter class, or `null` if there is none.
`boolean`
`isArray()`
Returns `true` if the type is an array, otherwise `false`.
`default boolean`
`isFormatParameter()`
Indicates whether or not the parameter is used a format parameter for the message.
`default boolean`
`isMessageMethod()`
Indicates whether or not this parameter represents the message method.
`boolean`
`isPrimitive()`
Returns `true` if the type is a primitive type, otherwise `false`.
`boolean`
`isVarArgs()`
Returns `true` if the parameter is a var args parameter, otherwise `false`.
`String`
`name()`
The variable name of the parameter.
`String`
`targetName()`
Returns the name of the target field or method.

### Methods inherited from interface org.jboss.logging.processor.model.ClassType

`isAssignableFrom, isSameAs, isSubtypeOf`

### Methods inherited from interface java.lang.Comparable

`compareTo`

### Methods inherited from interface org.jboss.logging.processor.model.DelegatingElement

`accept, asType, getAnnotation, getAnnotationMirrors, getAnnotationsByType, getDelegate, getEnclosedElements, getEnclosingElement, getKind, getModifiers, getSimpleName, isAnnotatedWith`

### Methods inherited from interface javax.lang.model.element.Element

`equals, hashCode`

## Method Details

### name

String name()
The variable name of the parameter.

Returns:
  the variable name of the parameter.

### isArray

boolean isArray()
Returns `true` if the type is an array, otherwise `false`.

Returns:
  `true` if an array, otherwise `false`

### isPrimitive

boolean isPrimitive()
Returns `true` if the type is a primitive type, otherwise `false`.

Returns:
  `true` if primitive type, otherwise `false`

### isVarArgs

boolean isVarArgs()
Returns `true` if the parameter is a var args parameter, otherwise `false`.

Returns:
  `true` if var args parameter, otherwise `false`.

### isFormatParameter

default boolean isFormatParameter()
Indicates whether or not the parameter is used a format parameter for the message.

Returns:
  `true` if this parameter that should used as a format parameter for the message

### isMessageMethod

default boolean isMessageMethod()
Indicates whether or not this parameter represents the message method.

Returns:
  `true` if this is the message method parameter

### formatterClass

String formatterClass()
The formatter class, or `null` if there is none.

Returns:
  the formatter class

### targetName

String targetName()
Returns the name of the target field or method. For example if the parameter is annotated with `@Field` the target name is the name of the field to set on the `return type`. If no target name is defined an empty String is returned.

Returns:
  the target field name, method name or an empty string.